# BasicRegEx Class Reference

`#include <BasicRegex.h>`

List of all members.

## Public Member Functions

| BasicRegEx (const char *regex)
virtual | ~BasicRegEx ()
bool | isError ()
int | getError ()
std::string | getErrorStr ()
bool | isMatch (const char *s)

## Private Attributes

char * | regex
regex_t | preg
int | err

## Constructor & Destructor Documentation

BasicRegEx::BasicRegEx | ( | const char * | regex | ) |

BasicRegEx::~BasicRegEx | ( |  | ) | `[virtual]`

## Member Function Documentation

int BasicRegEx::getError | ( |  | ) | `[inline]`

string BasicRegEx::getErrorStr | ( |  | ) |

bool BasicRegEx::isError | ( |  | ) | `[inline]`

bool BasicRegEx::isMatch | ( | const char * | s | ) |

## Member Data Documentation

int BasicRegEx::err `[private]`

regex_t BasicRegEx::preg `[private]`

char* BasicRegEx::regex `[private]`

The documentation for this class was generated from the following files:

- BasicRegex.h
- BasicRegex.cpp